Sspi.SecHandle (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Sspi, class: SecHandle

Package com.sun.jna.platform.win32

# Class Sspi.SecHandle

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.SecHandle

Direct Known Subclasses:
  `Sspi.CredHandle`, `Sspi.CtxtHandle`, `Sspi.SecHandle.ByReference`

Enclosing interface:
  Sspi

@FieldOrder({"dwLower","dwUpper"}) public static class Sspi.SecHandle extends Structure
Security handle.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Sspi.SecHandle.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Pointer`
  `dwLower`
  `Pointer`
  `dwUpper`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecHandle()`
  An empty SecHandle.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isNull()`
  Returns true if the handle is NULL.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwLower

    public Pointer dwLower

  - ### dwUpper

    public Pointer dwUpper

- ## Constructor Details

  - ### SecHandle

    public SecHandle()
    An empty SecHandle.

- ## Method Details

  - ### isNull

    public boolean isNull()
    Returns true if the handle is NULL.
    Returns:
      True if NULL, False otherwise.